> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/release-notes/v3.39.1.md).

# v3.39.1

We are happy to announce release v3.39.1 of Elimity Insights, released on 10 April 2025.

## Summary

This section summarizes the most important changes in release v3.39.1.

<details>

<summary>New functionality</summary>

*None*

</details>

<details>

<summary>Bug fixes &#x26; improvements</summary>

* Improve query parser performance

</details>

<details>

<summary>Deployment changes</summary>

*None*

</details>

## Bug fixes & improvements

### Improve query parser performance <a href="#h_01jqbxbjm9znha3yj0t3gv2p9f" id="h_01jqbxbjm9znha3yj0t3gv2p9f"></a>

The v3.39.1 release includes performance improvements for Elimity Insights' query parser. This change mainly affects customers building queries with a considerable complexity and nesting depth.

## Migration information <a href="#h_01h9mxgpqs599yv2hb64zhwdk9" id="h_01h9mxgpqs599yv2hb64zhwdk9"></a>

To migrate from v3.39.x to v3.39.1, we suggest the following steps:

1. Make a backup of your existing installation directory.
2. Migrate your installation by installing the files for v3.39.1, as described below.
3. Start the server and validate that it works as before.

### Installing the files for v3.39.1 <a href="#h_01h9mxgpqsdj7y3gp98dbbb8hy" id="h_01h9mxgpqsdj7y3gp98dbbb8hy"></a>

To install Elimity Insights v3.39.1, copy the following files from the v3.39.1 release to your current installation folder:

* The appropriate binary of Elimity Insights for your OS:
  * `elimity-insights-linux-x86_64`
  * `elimity-insights-macos-x86_64`
  * `elimity-insights-windows-x86_64.exe`
* The appropriate binary of the database migration tool for your OS:
  * `elimity-insights-database-migrate-macos-x86_64`
  * `elimity-insights-database-migrate-linux-x86_64`
  * `elimity-insights-database-migrate-windows-x86_64.exe`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elimity.com/release-notes/v3.39.1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
